## org.gnu.gtk.event
Class TextViewEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.TextViewEvent.Type

Enclosing class:
  TextViewEvent

public static class TextViewEvent.Type
extends EventType

Used to describe the type of event.

Field Summary
`static TextViewEvent.Type` `COPY_CLIPBOARD` Data has been copied from the widget to the clipboard.
`static TextViewEvent.Type` `CUT_CLIPBOARD` Data has been cut from the widget to the clipboard.
`static TextViewEvent.Type` `DELETE_FROM_CURSOR`
`static TextViewEvent.Type` `INSERT_AT_CURSOR`
`static TextViewEvent.Type` `MOVE_CURSOR` The insertion point has been moved.
`static TextViewEvent.Type` `MOVE_FOCUS`
`static TextViewEvent.Type` `PAGE_HORIZONTALLY` This event type will probably be deprecated in GTK release 2.2
`static TextViewEvent.Type` `PASTE_CLIPBOARD` Data has been pasted from the clipboard to the widget.
`static TextViewEvent.Type` `POPULATE_POPUP` Gives the developer the oportunity to populate a context sensitive popup menu.
`static TextViewEvent.Type` `SET_ANCHOR` The anchor has been moved to the cursor position.
`static TextViewEvent.Type` `SET_SCROLL_ADJUSTMENTS`
`static TextViewEvent.Type` `TOGGLE_OVERWRITE` Overwrite was toggled.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPY_CLIPBOARD

    public static final TextViewEvent.Type COPY_CLIPBOARD

  Data has been copied from the widget to the clipboard.

### CUT_CLIPBOARD

    public static final TextViewEvent.Type CUT_CLIPBOARD

  Data has been cut from the widget to the clipboard.

### PASTE_CLIPBOARD

    public static final TextViewEvent.Type PASTE_CLIPBOARD

  Data has been pasted from the clipboard to the widget.

### DELETE_FROM_CURSOR

    public static final TextViewEvent.Type DELETE_FROM_CURSOR

### INSERT_AT_CURSOR

    public static final TextViewEvent.Type INSERT_AT_CURSOR

### MOVE_CURSOR

    public static final TextViewEvent.Type MOVE_CURSOR

  The insertion point has been moved.

### MOVE_FOCUS

    public static final TextViewEvent.Type MOVE_FOCUS

### PAGE_HORIZONTALLY

    public static final TextViewEvent.Type PAGE_HORIZONTALLY

  This event type will probably be deprecated in GTK release 2.2

### POPULATE_POPUP

    public static final TextViewEvent.Type POPULATE_POPUP

  Gives the developer the oportunity to populate a context sensitive popup menu.

### SET_ANCHOR

    public static final TextViewEvent.Type SET_ANCHOR

  The anchor has been moved to the cursor position.

### SET_SCROLL_ADJUSTMENTS

    public static final TextViewEvent.Type SET_SCROLL_ADJUSTMENTS

### TOGGLE_OVERWRITE

    public static final TextViewEvent.Type TOGGLE_OVERWRITE

  Overwrite was toggled.